Bug 245463 - please add %{arm} to pm-utils's list of build archs
Summary: please add %{arm} to pm-utils's list of build archs
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2007-06-23 16:21 UTC by Lennert Buytenhek
Modified: 2015-03-05 01:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 04:33:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lennert Buytenhek 2007-06-23 16:21:21 UTC
pm-utils is currently not built for arm, but there's not really any reason
why it shouldn't.

Would you please consider adding the string "%{arm}" (which is an rpm
macro that expands to the set of supported arm sub-archs) to pm-utils's
ExclusiveArch: line?

Thanks for your time.

Comment 1 Till Maas 2007-08-30 15:35:10 UTC
Imho it should be "%{?arm}", so it gets expanded to nothing when it is nod
defined. At least this is what happens here locally with rpm --eval.

Comment 2 Lennert Buytenhek 2007-08-31 06:28:23 UTC
Thanks for your reply.

The rawhide version of rpm does define %{arm}.  That said, if you use the
same spec file for rawhide and pre-rawhide, then %{?arm} would make more
sense, yes.  Note that rpm, gcc, binutils and such packages do use %{arm}
in their spec files.

Comment 3 Till Maas 2007-08-31 08:52:44 UTC
I have added %{?arm} to ExclusiveArch in cvs. Can you rebuild the package for
arm to test, whether it really builds? I guess you do not need radeontool or
vditool for arm, or do you? They are both only built for %{ix86} x86_64.

Comment 4 Till Maas 2007-09-13 04:33:49 UTC
radeontool and vbetool are now a separate packages and do not use ExclusiveArch.
pm-utils is now rebuild.


Note You need to log in before you can comment on or make changes to this bug.